Opened 15 years ago

Closed 15 years ago

Last modified 5 years ago

#7889 closed defect (fixed)

BUG: glib2 2.10.1

Reported by: danchr@… Owned by: mij@…
Priority: Normal Milestone:
Component: ports Version: 1.2
Keywords: Cc:
Port: glib2

Description (last modified by ryandesign (Ryan Schmidt))

An incorrect fix made it's way into the glib2 2.10.1 release, cf. the link. Peter O'Gorman reported this on IRC:

pogma: Got a report to bug-libtool@… that dports glib2-2.10.1 defines G_MODULE_SUFFIX to "dylib" (it should be "so")

The following patch applies the fix from the bug, which already has been applied upstream, and will probably be contained in the 2.10.2 release.

Index: Portfile
===================================================================
RCS file: /Volumes/src/cvs/od/proj/darwinports/dports/devel/glib2/Portfile,v
retrieving revision 1.46
diff -a -u -u -r1.46 Portfile
--- Portfile	16 Mar 2006 23:39:17 -0000	1.46
+++ Portfile	21 Mar 2006 13:43:20 -0000
@@ -3,6 +3,7 @@
 PortSystem 1.0
 name		glib2
 version		2.10.1
+revision	1
 categories	devel
 maintainers	mij@opendarwin.org
 description	Library with data structure functions and other constructs
Index: files/patch-configure
===================================================================
RCS file: /Volumes/src/cvs/od/proj/darwinports/dports/devel/glib2/files/patch-configure,v
retrieving revision 1.6
diff -a -u -u -r1.6 patch-configure
--- files/patch-configure	12 Sep 2005 04:47:43 -0000	1.6
+++ files/patch-configure	21 Mar 2006 13:43:20 -0000
@@ -23,3 +23,13 @@
            fi
          done
           ;;
+@@ -1322,9 +1322,6 @@
+   aix*)
+     glib_gmodule_suffix='a'
+     ;;
+-  darwin*)
+-    glib_gmodule_suffix='dylib'
+-    ;;
+   *)
+     glib_gmodule_suffix='so'    
+     ;;

Change History (3)

comment:1 Changed 15 years ago by danchr@…

D'oh! Appearantly 1322 is less than 33908, and diff insists on it being so. Correct patch is:

Index: Portfile
===================================================================
RCS file: /Volumes/src/cvs/od/proj/darwinports/dports/devel/glib2/Portfile,v
retrieving revision 1.46
diff -a -u -u -r1.46 Portfile
--- Portfile	16 Mar 2006 23:39:17 -0000	1.46
+++ Portfile	21 Mar 2006 13:55:59 -0000
@@ -3,6 +3,7 @@
 PortSystem 1.0
 name		glib2
 version		2.10.1
+revision	1
 categories	devel
 maintainers	mij@opendarwin.org
 description	Library with data structure functions and other constructs
Index: files/patch-configure
===================================================================
RCS file: /Volumes/src/cvs/od/proj/darwinports/dports/devel/glib2/files/patch-configure,v
retrieving revision 1.6
diff -a -u -u -r1.6 patch-configure
--- files/patch-configure	12 Sep 2005 04:47:43 -0000	1.6
+++ files/patch-configure	21 Mar 2006 13:55:59 -0000
@@ -1,5 +1,15 @@
 --- configure.orig	2005-09-11 10:38:06.000000000 -0700
 +++ configure	2005-09-11 10:39:54.000000000 -0700
+@@ -1322,9 +1322,6 @@
+   aix*)
+     glib_gmodule_suffix='a'
+     ;;
+-  darwin*)
+-    glib_gmodule_suffix='dylib'
+-    ;;
+   *)
+     glib_gmodule_suffix='so'    
+     ;;
 @@ -33817,9 +33817,9 @@
           # skip cygwin -pthread or -pthreads test
           ;;
Last edited 5 years ago by ryandesign (Ryan Schmidt) (previous) (diff)

comment:2 Changed 15 years ago by mij@…

Resolution: fixed
Status: newclosed

I just checked in version 2.10.2, so this should be fixed.

comment:3 Changed 5 years ago by ryandesign (Ryan Schmidt)

Description: modified (diff)
Port: glib2 added
Note: See TracTickets for help on using tickets.